@import "@/styles/variables";

.multiselect-container {
    align-items: baseline;

    @include paragraph-p3;

    &-title {
        display: flex;
        justify-content: space-between;

        @include paragraph-p2;

        button {
            border: none;
            background-color: $white;
            color: $blue-500;
            font-size: 14px;
            font-weight: 500;
            cursor: pointer;
        }
    }

    .dropdown-label {
        display: flex;
        gap: 0.5rem;
        align-items: center;
        cursor: pointer;
        padding-bottom: 1rem;

        span {
            color: $gray-color-400;
        }

        input[type="checkbox"] {
            appearance: none;
            margin: 0;
            width: 1rem;
            min-width: 1rem;
            height: 1rem;
            border: 1px solid $gray-500;
            border-radius: 4px;
            cursor: pointer;

            &:hover {
                border: 1px solid $gray-700;
            }

            &:checked {
                background: $gray-800;
                border: 1px solid transparent;
                position: relative;

                &::before {
                    content: url("/assets/images/checked.svg");
                    color: $white;
                    position: absolute;
                    left: 0.19rem;
                    bottom: 0.07rem;
                }

                + span {
                    color: $gray-800;
                    font-weight: 600;
                }
            }
        }
    }
}
